#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1500six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 1500"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six15004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six15004xi = {
                1:'-1000x964y-564z',
                2:'-1006x1112y-19z',
                3:'-1025x914y-601z',
                4:'-103x572y-1382z',
                5:'-1045x907y-577z',
                6:'-1062x1058y-34z',
                7:'-1067x855y-615z',
                8:'-1086x848y-591z',
                9:'-1105x794y-629z',
                10:'-1116x1000y-49z',
                11:'-1124x786y-605z',
                12:'-1140x732y-642z',
                13:'-1159x723y-619z',
                14:'-1166x940y-64z',
                15:'-1171x668y-656z',
                16:'-1189x658y-632z',
                17:'-1199x603y-669z',
                18:'-1213x877y-79z',
                19:'-1222x536y-683z',
                20:'-1242x469y-696z',
                21:'-1257x812y-94z',
                22:'-1258x401y-709z',
                23:'-1271x333y-722z',
                24:'-1279x265y-735z',
                25:'-1282x60y-774z',
                26:'-1284x196y-748z',
                27:'-1285x128y-761z',
                28:'-1297x745y-109z',
                29:'-1298x632y-689z',
                30:'-129x552y-1388z',
                31:'-132x1065y-1047z',
                32:'-1333x675y-124z',
                33:'-1365x604y-139z',
                34:'-1394x531y-154z',
                35:'-1418x457y-168z',
                36:'-1438x382y-183z',
                37:'-1454x305y-198z',
                38:'-1466x229y-213z',
                39:'-1474x151y-228z',
                40:'-1478x74y-243z',
                41:'-154x531y-1394z',
                42:'-158x1435y-404z',
                43:'-177x509y-1399z',
                44:'-186x1046y-1057z',
                45:'-198x486y-1404z',
                46:'-206x6y-1485z',
                47:'-218x462y-1410z',
                48:'-220x18y-1483z',
                49:'-232x1421y-418z',
                50:'-233x31y-1481z',
                51:'-235x438y-1415z',
                52:'-238x1025y-1068z',
                53:'-246x46y-1478z',
                54:'-250x413y-1420z',
                55:'-252x1425y-393z',
                56:'-257x63y-1476z',
                57:'-263x387y-1424z',
                58:'-268x80y-1473z',
                59:'-275x362y-1429z',
                60:'-277x99y-1470z',
                61:'-284x336y-1433z',
                62:'-285x119y-1467z',
                63:'-288x1001y-1079z',
                64:'-291x310y-1438z',
                65:'-292x141y-1464z',
                66:'-297x163y-1461z',
                67:'-297x284y-1442z',
                68:'-300x186y-1457z',
                69:'-300x259y-1446z',
                70:'-302x209y-1454z',
                71:'-302x234y-1450z',
                72:'-305x1403y-432z',
                73:'-325x1406y-408z',
                74:'-337x974y-1089z',
                75:'-377x1381y-447z',
                76:'-383x945y-1099z',
                77:'-397x1383y-422z',
                78:'-427x913y-1109z',
                79:'-448x1355y-461z',
                80:'-44x607y-1370z',
                81:'-467x1356y-436z',
                82:'-469x880y-1119z',
                83:'-509x844y-1129z',
                84:'-516x1325y-475z',
                85:'-536x1326y-451z',
                86:'-546x807y-1139z',
                87:'-581x768y-1149z',
                88:'-583x1292y-490z',
                89:'-603x1292y-465z',
                90:'-613x728y-1158z',
                91:'-642x687y-1168z',
                92:'-647x1255y-504z',
                93:'-667x1254y-479z',
                94:'-669x644y-1177z',
                95:'-693x600y-1186z',
                96:'-710x1215y-518z',
                97:'-714x556y-1196z',
                98:'-730x1213y-493z',
                99:'-732x511y-1205z',
                100:'-747x465y-1213z',
                101:'-74x590y-1376z',
                102:'-755x25y-1295z',
                103:'-760x420y-1222z',
                104:'-765x65y-1288z',
                105:'-769x1172y-532z',
                106:'-770x374y-1231z',
                107:'-773x107y-1280z',
                108:'-777x328y-1239z',
                109:'-779x150y-1272z',
                110:'-782x283y-1248z',
                111:'-783x193y-1264z',
                112:'-783x238y-1256z',
                113:'-789x1169y-508z',
                114:'-827x1125y-546z',
                115:'-846x1122y-522z',
                116:'-881x1076y-560z',
                117:'-901x1072y-536z',
                118:'-932x1024y-574z',
                119:'-946x1163y-4z',
                120:'-952x1020y-550z',
                121:'-980x970y-587z'}



#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1500six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire1500six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1500SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1500SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1500SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1500SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1500SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six15004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1500SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1500SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1500SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six1500x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six1500x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1500SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE1500SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1500SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1500six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
